## apmd 3.0beta3-2

=== Makefile ===
# Makefile -- 
# Created: Mon Jan  8 11:38:13 1996 by faith@acm.org
# Revised: Fri Dec 26 21:38:10 1997 by faith@acm.org
# Copyright 1996, 1997 Rickard E. Faith (faith@acm.org)
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: Makefile,v 1.14 1998/09/12 20:54:41 apenwarr Exp $
#

VERSION=3.0beta3

ifneq (,)
This makefile requires GNU Make.
endif

.SUFFIXES:

OBJS=apmlib.o
EXES=apm apmd tailf xapm
HEADERS=apm.h

CC=gcc
CFLAGS=-O -g
XTRACFLAGS=-Wall -pipe -I. -DVERSION=\"$(VERSION)\"
LDFLAGS=
XTRALDFLAGS=-L. -lapm
XLDFLAGS=-L/usr/X11R6/lib
XLIBS=-lXaw -lXmu -lXt -lXext  -lSM -lICE -lX11
LIB=libapm.a
RANLIB=ranlib

# Uncomment these lines for a production compile
#CFLAGS=-O3 -m486 -fomit-frame-pointer
#LDFLAGS=-s

all: $(EXES)

$(OBJS): $(HEADERS)

%.o: %.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $(XTRACFLAGS) $<

%: %.o $(LIB)
	$(CC) -o $@ $< $(LDFLAGS) $(XTRALDFLAGS)

tailf: tailf.o
	$(CC)  -o $@ $< $(LDFLAGS) $(XTRALDFLAGS)

xapm.o: xapm.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $(XTRACFLAGS) -DNARROWPROTO $<

xapm: xapm.o $(LIB)
	$(CC) -o $@ $< $(LDFLAGS) $(XTRALDFLAGS) $(XLDFLAGS) $(XLIBS)

libapm.a: $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@

.PHONY:	ChangeLog
ChangeLog:
	-rm -f ChangeLog
	rcs2log > ChangeLog

install: $(EXES)
	install        apm          /usr/bin
	install -m 644 apm.1        /usr/man/man1
	install        apmd         /usr/sbin
	install -m 644 apmd.8       /usr/man/man8
	install        xapm         /usr/X11R6/bin
	install -m 644 xapm.1       /usr/X11R6/man/man1/xapm.1x
	install        tailf        /usr/bin
	install -m 644 tailf.1      /usr/man/man1
	install -m 644 libapm.a     /usr/lib
	install -m 644 apm.h        /usr/include

.PHONY:	clean distclean
distclean clean:
	-rm -f *.o *.s *~ core a.out build-stamp $(LIB) $(EXES)

dist:
	(rm -f /tmp/ChangeLog ./ChangeLog; \
	rcs2log > /tmp/ChangeLog; \
	cd /tmp; \
	rm -rf /tmp/apmd-$(VERSION); \
	cvs export -fNd apmd-$(VERSION) -r HEAD apmd; \
	cd apmd-$(VERSION); \
	mv ../ChangeLog .; \
	find -type d | xargs chmod 755; \
	find -type f | xargs chmod 644; \
	find -type d | xargs chown root:root; \
	find -type f | xargs chown root:root; \
	cd ..; \
	tar cvvf apmd-$(VERSION).tar apmd-$(VERSION); \
	gzip -9f apmd-$(VERSION).tar; \
	cp -p apmd-$(VERSION)/LSM apmd-$(VERSION).lsm; \
	cp -p apmd-$(VERSION)/ANNOUNCE apmd-$(VERSION).Announce; \
	echo Done.)

=== debian/changelog ===
apmd (3.0beta3-2) unstable; urgency=low

  * Renamed /etc/apm-suspend.d and /etc/apm-resume.d to /etc/apm/suspend.d
    and resume.d, to reduct /etc clutter.

 -- Avery Pennarun <apenwarr@debian.org>  Mon, 14 Sep 1998 14:27:03 -0400

apmd (3.0beta3-1) unstable; urgency=low

  * New upstream version cleans up a few things and improves Thinkpad
    support.

 -- Avery Pennarun <apenwarr@debian.org>  Sat, 12 Sep 1998 14:34:11 -0400

apmd (3.0beta2-1) unstable; urgency=low

  * New upstream version fixes some minor bugs with pre_suspend and
    post_resume commands.

 -- Avery Pennarun <apenwarr@debian.org>  Sun,  6 Sep 1998 01:21:14 -0400

apmd (3.0beta1-1) unstable; urgency=low

  * I am now the official upstream maintainer for the APM package.
  * Integrated Rik Faith's latest fixes and a few others that have
    been floating around.
  * Added support for /etc/apm-suspend.d and /etc/apm-resume.d directories,
    containing scripts that should run whenever the system enters or leaves
    suspend mode.

 -- Avery Pennarun <apenwarr@debian.org>  Sun,  6 Sep 1998 01:21:14 -0400

apmd (2.4-12) frozen unstable; urgency=low

  * New package maintainer.
  * Changed call from "clock -s" to use hwclock and obtain $GMT setting
    from /etc/default/rcS.  (Fixes bug#23008)

 -- Avery Pennarun <apenwarr@debian.org>  Wed, 10 Jun 1998 16:25:40 -0400

apmd (2.4-11) frozen unstable; urgency=low

  * Added the four binaries apm, apmd, tailf and xapm back into the
    package. Thanks to Jim Jensen <jensen@clark.net> for pointing out that
    this debhelper conversion wasn't quite complete. 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 May 1998 20:49:41 -0400

apmd (2.4-10) frozen unstable; urgency=low, Closes=4593

  * Added missing 'zero' elements at last position of the longopts[] array
    so that apm(1) no longer segfaults on unknown arguments (fixes #4593)
  * Changed Description: in debian/control (lintian)
  * Removed blurb about 'needs 1.3.x kernels' in debian/control
  * Converted debian/rules to debhelper
  * Upgraded to Debian Policy 2.4.1
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 11 May 1998 22:57:02 -0400

apmd (2.4-9) unstable; urgency=low

  * Added the missing ';;' to /etc/init.d/apmd (fixes #18529)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 Feb 1998 19:09:10 -0500

apmd (2.4-8) unstable; urgency=low

  * Upgraded to Debian Policy 2.4.0.0 (lintian, fixes #16775)
  * Added force-reload and restart targets to /etc/init.d/apmd (lintian)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 20 Feb 1998 21:16:34 -0500

apmd (2.4-7) unstable; urgency=low

  * Compiled with GNU libc2 aka libc6 
  * Now ships the unmodified upstream source as apmd_2.4.orig.tar.gz
  * Added variable for apmd options to /etc/init.d/apmd.

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  1 Nov 1997 16:20:59 -0500

apmd (2.4-6) unstable; urgency=low

  * Changed Description: to stress the fact that APM support has to be 
    enabled in the kernel in order to use this (fixes bug #10260)
  * Added warning to postinst if no /proc/apm found (fixes bug #10260)
  * Added test for /proc/apm to /etc/init.d/apmd 
  * Changed /etc/init.d/apmd console message slightly

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 21 Jun 1997 16:49:44 -0400

apmd (2.4-5) unstable; urgency=low

  * Applied patch by Jim Van Zandt <jrv@vanzandt.mv.com> to suppress
    unwanted debugging output on virtual consoles 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 8 Feb 1997 23:08:16 -0500

apmd (2.4-4) frozen unstable; urgency=low

  * Really changed /etc/init.d/apmd to test for apmd binary (fixes bug #5526)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 29 Nov 1996 20:59:14 -0500

apmd (2.4-3) frozen unstable; urgency=low

  * Changed /etc/init.d/apmd to test for /usr/sbin/apmd (fixes bug #5526)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 Nov 1996 17:49:13 -0500

apmd (2.4-2) unstable; urgency=low

  * Changed the prerm script (fixes bug#4489)
  * Changed Architecture: to i386 as an APM compliant BIOS is needed
  
  * Converted package management files to new Debian-1.2 style
  * Compresses manual pages with gzip -9v  
  * Changed maintainer email address to <edd@debian.org>

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 14 Sep 1996 15:18:55 -0400

Wed Aug  7 20:53:17 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* debian.rules: install xapm.1x, not xapm.1

Fri May 17 21:15:17 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* apmd-2.4-1 release

	* debian.rules: use /usr/doc/examples and not /usr/doc/example
	  (fixes bug#3029)

Tue May  7 00:19:20 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* apmd-2.4-0 release

	* new upstream version apmd-2.4 with support for --suspend and
	  --standby which requires kernel 1.3.98 or higher.

Sat Apr 13 12:26:16 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* apmd-2.2-0 release

	* new upstream version apmd-2.2 with support for /dev/apm_bios;
          apmd-2.2 utilities will work with older and newer kernels
	
	* debian.control: added Architecture: field 

Sun Mar 10 09:54:49 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* apmd-2.1-1 release
	
	* apmd.rc: deleted the reload feature, fixed a typo

Sat Mar  9 10:58:03 1996  Dirk Eddelbuettel  <edd@miles.econ.queensu.ca>

	* apmd-2.1-0: Initial Debian release, added Debian package management
	  system scripts and Debian sysvinit daemon handling scripts  
	
	* provide apmlib.c as source in /usr/doc/example/apmd so that 
	  users can build either shared or static libs themselves


Local variables:
mode: debian-changelog
End:      

=== debian/control ===
Source: apmd
Section: admin
Priority: extra
Maintainer: Avery Pennarun <apenwarr@debian.org>
Standards-Version: 2.4.1

Package: apmd
Architecture: i386
Depends: ${shlibs:Depends}
Description: Utilities for Advanced Power Management (APM) on laptops
 On laptop computers, the Advanced Power Management (APM) support 
 provides access to battery status information and may help you to 
 conserve battery power, depending on your laptop and the APM 
 implementation. APM support has been in the kernel since 1.3.46.
 .
 This package contains apmd(8), a daemon that provides logging of the 
 battery status, apm(1), a client that prints /proc/apm, xapm(1x), an
 X11 utility that displays a little graph, (and tailf(1) which follows 
 the growth of a log file). 
 .
 The Debian default kernel does *not* contain APM support, because it causes
 problems on some computers.  So, you need to recompile your kernel
 and enable APM support during configuration; the corresponding questions
 are in the 'Character devices' section.
 .

## apmd 3.0beta5-1

=== Makefile ===
--- 
+++ 
@@ -17,10 +17,10 @@
 # with this program; if not, write to the Free Software Foundation, Inc.,
 # 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: Makefile,v 1.14 1998/09/12 20:54:41 apenwarr Exp $
+# $Id: Makefile,v 1.15 1998/11/08 20:40:46 apenwarr Exp $
 #
 
-VERSION=3.0beta3
+VERSION=3.0beta4
 
 ifneq (,)
 This makefile requires GNU Make.

=== debian/changelog ===
apmd (3.0beta5-1) frozen unstable; urgency=high

  * We should be using fork(), not vfork() -- one-character change.  Fixes
    problems with 2.2.0 kernels.

 -- Avery Pennarun <apenwarr@debian.org>  Sun, 24 Jan 1999 00:29:24 -0500

apmd (3.0beta4-1) frozen unstable; urgency=low

  * I (upstream maintainer) relabeled the version number because the
    changes are useful beyond just Debian.
    
  * Distribution should have been "frozen unstable", not "frozen".  Oops.

 -- Avery Pennarun <apenwarr@debian.org>  Sun,  8 Nov 1998 15:34:14 -0500

apmd (3.0beta3-3) frozen; urgency=low

  * /etc/init.d/apmd should not assume $GMT will be either -u or blank.
    Fixes bug#28731.
    
  * /etc/init.d/apmd still contained some references to /etc/apm-suspend.d
    and apm-resume.d; these should have been /etc/apm/suspend.d and
    resume.d.  Oops.  Fixes bug#27539.
    
  * Fixed some typos in the man pages.

 -- Avery Pennarun <apenwarr@debian.org>  Sat,  7 Nov 1998 20:06:03 -0500

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian.rules file for the Debian/GNU Linux apmd package
# Copyright 1996-98 by Dirk Eddelbuettel <edd@debian.org>

package	= apmd
debtmp	:= $(shell pwd)/debian/tmp

#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	#./configure --prefix=/usr  
	$(MAKE) ChangeLog
	$(MAKE) CFLAGS=-O2 LDFLAGS=       
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	dh_clean

binary-indep: build

binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	#$(MAKE) prefix=`pwd`/debian/tmp install
	install -m 0755 tailf apm 	$(debtmp)/usr/bin/
	install -m 0755 apmd 		$(debtmp)/usr/sbin/
	install -m 0755 xapm 		$(debtmp)/usr/X11R6/bin/
	install -m 0644 tailf.1 apm.1 	$(debtmp)/usr/man/man1/
	install -m 0644 apmd.8 		$(debtmp)/usr/man/man8/
	install -m 0644 xapm.1 		$(debtmp)/usr/X11R6/man/man1/xapm.1x
	dh_installdocs			README ANNOUNCE
	dh_installexamples		apmlib.c
#	dh_installmenu
	dh_installinit			--noscripts
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs		ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
#	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## apmd 3.0beta8-1

=== Makefile ===
--- 
+++ 
@@ -17,10 +17,10 @@
 # with this program; if not, write to the Free Software Foundation, Inc.,
 # 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: Makefile,v 1.15 1998/11/08 20:40:46 apenwarr Exp $
+# $Id: Makefile,v 1.22 1999/06/16 00:24:20 apenwarr Exp $
 #
 
-VERSION=3.0beta4
+VERSION=3.0beta8
 
 ifneq (,)
 This makefile requires GNU Make.
@@ -32,9 +32,13 @@
 EXES=apm apmd tailf xapm
 HEADERS=apm.h
 
+APMD_PROXY_DIR=/etc
 CC=gcc
 CFLAGS=-O -g
-XTRACFLAGS=-Wall -pipe -I. -DVERSION=\"$(VERSION)\"
+XTRACFLAGS=-Wall -pipe -I. -I/usr/src/linux/include \
+		-I/usr/src/linux-2.2/include -I /usr/src/linux-2.0/include \
+		-DVERSION=\"$(VERSION)\" \
+		-DAPMD_PROXY_NAME=\"$APMD_PROXY_DIR/apmd_proxy\"
 LDFLAGS=
 XTRALDFLAGS=-L. -lapm
 XLDFLAGS=-L/usr/X11R6/lib
@@ -75,16 +79,17 @@
 	rcs2log > ChangeLog
 
 install: $(EXES)
-	install        apm          /usr/bin
-	install -m 644 apm.1        /usr/man/man1
-	install        apmd         /usr/sbin
-	install -m 644 apmd.8       /usr/man/man8
-	install        xapm         /usr/X11R6/bin
-	install -m 644 xapm.1       /usr/X11R6/man/man1/xapm.1x
-	install        tailf        /usr/bin
-	install -m 644 tailf.1      /usr/man/man1
-	install -m 644 libapm.a     /usr/lib
-	install -m 644 apm.h        /usr/include
+	install        apm on_ac_power /usr/bin
+	install -m 644 apm.1           /usr/man/man1
+	install        apmd            /usr/sbin
+	install -b     apmd_proxy      $APMD_PROXY_DIR
+	install -m 644 apmd.8          /usr/man/man8
+	install        xapm            /usr/X11R6/bin
+	install -m 644 xapm.1          /usr/X11R6/man/man1/xapm.1x
+	install        tailf           /usr/bin
+	install -m 644 tailf.1         /usr/man/man1
+	install -m 644 libapm.a        /usr/lib
+	install -m 644 apm.h           /usr/include
 
 .PHONY:	clean distclean
 distclean clean:

=== debian/changelog ===
apmd (3.0beta8-1) unstable; urgency=low
  
  * Various bug fixes and improvements.  In particular, this is supposed
 	to eliminate excessive log messages, although I personally never saw
 	them anyway.

 -- Avery Pennarun <apenwarr@debian.org>  Tue, 15 Jun 1999 20:25:12 -0400

apmd (3.0beta7-1) unstable; urgency=low
  
  * apmd: totally new apmd_proxy stuff from Craig Markwardt.  Now you can
  	handle pretty much _any_ APM event by adding scripts to
  	/etc/apm/event.d.
  
  * Hopefully we didn't lose anyone else's fixes... let me know if you
  	find a new bug!

 -- Avery Pennarun <apenwarr@debian.org>  Sat,  5 Jun 1999 18:05:12 -0400

apmd (3.0beta6-1) unstable; urgency=low
  
  * apmd: new options for now-on-wall-power and now-on-battery events.
  
  * xapm: support for strangeness in the IBM ThinkPad 770X.  Set
    IBM_THINKPAD to 1 in xapm.c if you want this enabled.
    Also, we show a P or B in xapm to indicate wall or battery power.

 -- Avery Pennarun <apenwarr@debian.org>  Mon,  5 Apr 1999 00:59:55 -0400

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,15 @@
  On laptop computers, the Advanced Power Management (APM) support 
  provides access to battery status information and may help you to 
  conserve battery power, depending on your laptop and the APM 
- implementation. APM support has been in the kernel since 1.3.46.
+ implementation.  The apmd program also lets you run arbitrary programs
+ when APM events happen (for example, you can eject PCMCIA devices when
+ you suspend, or change hard drive timeouts when you connect the battery).
  .
- This package contains apmd(8), a daemon that provides logging of the 
- battery status, apm(1), a client that prints /proc/apm, xapm(1x), an
- X11 utility that displays a little graph, (and tailf(1) which follows 
- the growth of a log file). 
+ This package contains apmd(8), a daemon for logging and acting on APM
+ events, apm(1), a client that prints /proc/apm, xapm(1x), an X11 utility
+ that displays a little graph, on_ac_power(1), a program for shell scripts
+ to determine if wall power is connected, and tailf(1) which follows the
+ growth of a log file without writing to disk.
  .
  The Debian default kernel does *not* contain APM support, because it causes
  problems on some computers.  So, you need to recompile your kernel

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,7 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	#./configure --prefix=/usr  
-	$(MAKE) ChangeLog
+	-$(MAKE) ChangeLog
 	$(MAKE) CFLAGS=-O2 LDFLAGS=       
 	touch build-stamp
 
@@ -26,24 +25,23 @@
 binary-indep: build
 
 binary-arch: build
-#	dh_testversion
+	dh_testversion
 	dh_testdir
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
 	#$(MAKE) prefix=`pwd`/debian/tmp install
-	install -m 0755 tailf apm 	$(debtmp)/usr/bin/
-	install -m 0755 apmd 		$(debtmp)/usr/sbin/
-	install -m 0755 xapm 		$(debtmp)/usr/X11R6/bin/
-	install -m 0644 tailf.1 apm.1 	$(debtmp)/usr/man/man1/
-	install -m 0644 apmd.8 		$(debtmp)/usr/man/man8/
-	install -m 0644 xapm.1 		$(debtmp)/usr/X11R6/man/man1/xapm.1x
+	install -m 0755 tailf apm on_ac_power	$(debtmp)/usr/bin/
+	install -m 0755 apmd 			$(debtmp)/usr/sbin/
+	install -m 0755 xapm 			$(debtmp)/usr/X11R6/bin/
+	install -m 0755 debian/apmd_proxy 	$(debtmp)/etc/apm/
+	install -m 0755 debian/00hwclock	$(debtmp)/etc/apm/event.d/
 	dh_installdocs			README ANNOUNCE
-	dh_installexamples		apmlib.c
+#	dh_installexamples		apmlib.c
 #	dh_installmenu
 	dh_installinit			--noscripts
 #	dh_installcron
-#	dh_installmanpages
+	dh_installmanpages
 #	dh_undocumented
 	dh_installchangelogs		ChangeLog
 	dh_strip

## apmd 3.0final-1

=== Makefile ===
# Makefile -- 
# Copyright 1996, 1997 Rickard E. Faith <faith@acm.org>
# Copyright 1999 Avery Pennarun <apenwarr@worldvisions.ca>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: Makefile,v 1.26 1999/08/03 04:26:11 apenwarr Exp $
#

VERSION=3.0final

ifneq (,)
This makefile requires GNU Make.
endif

.SUFFIXES:

OBJS=apmlib.o
EXES=apm apmd tailf xapm apmsleep
HEADERS=apm.h

PREFIX=/usr
APMD_PROXY_DIR=/etc
CC=gcc
CFLAGS=-O -g
XTRACFLAGS=-Wall -pipe -I. -I/usr/src/linux/include \
		-I/usr/src/linux-2.2/include -I /usr/src/linux-2.0/include \
		-DVERSION=\"$(VERSION)\" \
		-DAPMD_PROXY_NAME=\"$(APMD_PROXY_DIR)/apmd_proxy\"
LDFLAGS=
XTRALDFLAGS=-L. -lapm
XLDFLAGS=-L/usr/X11R6/lib
XLIBS=-lXaw -lXmu -lXt -lXext  -lSM -lICE -lX11
LIB=libapm.a
RANLIB=ranlib

# Uncomment these lines for a production compile
#CFLAGS=-O3 -m486 -fomit-frame-pointer
#LDFLAGS=-s

all: $(EXES)

$(OBJS): $(HEADERS)

%.o: %.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $(XTRACFLAGS) $<

%: %.o $(LIB)
	$(CC) -o $@ $< $(LDFLAGS) $(XTRALDFLAGS)

tailf: tailf.o
	$(CC)  -o $@ $< $(LDFLAGS) $(XTRALDFLAGS)

xapm.o: xapm.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $(XTRACFLAGS) -DNARROWPROTO $<

xapm: xapm.o $(LIB)
	$(CC) -o $@ $< $(LDFLAGS) $(XTRALDFLAGS) $(XLDFLAGS) $(XLIBS)

libapm.a: $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@

.PHONY:	ChangeLog
ChangeLog:
	-rm -f ChangeLog
	rcs2log > ChangeLog

install: $(EXES)
	[ -d ${PREFIX}/bin      ] || install -d ${PREFIX}/bin
	[ -d ${PREFIX}/sbin     ] || install -d ${PREFIX}/sbin
	[ -d ${PREFIX}/man/man1 ] || install -d ${PREFIX}/man/man1
	[ -d ${PREFIX}/man/man8 ] || install -d ${PREFIX}/man/man8
	[ -d ${PREFIX}/lib      ] || install -d ${PREFIX}/lib
	[ -d ${PREFIX}/include  ] || install -d ${PREFIX}/include
	[ -d ${APMD_PROXY_DIR}  ] || install -d ${APMD_PROXY_DIR}
	install        apm             ${PREFIX}/bin
	install        on_ac_power     ${PREFIX}/bin
	install -m 644 apm.1           ${PREFIX}/man/man1
	install        apmd            ${PREFIX}/sbin
	install -b -Vt apmd_proxy      ${APMD_PROXY_DIR}
	install -m 644 apmd.8          ${PREFIX}/man/man8
	install        xapm            ${PREFIX}/bin
	install -m 644 xapm.1          ${PREFIX}/man/man1/xapm.1x
	install        tailf           ${PREFIX}/bin
	install -m 644 tailf.1         ${PREFIX}/man/man1
	install        apmsleep	       ${PREFIX}/bin
	install -m 644 apmsleep.1      ${PREFIX}/man/man1
	install -m 644 libapm.a        ${PREFIX}/lib
	install -m 644 apm.h           ${PREFIX}/include

.PHONY:	clean distclean
distclean clean:
	-rm -f *.o *.s *~ core a.out build-stamp $(LIB) $(EXES)

=== debian/changelog ===
apmd (3.0final-1) unstable; urgency=low

  * Rebuilt for potato with new debhelper.  Since there haven't been any
 	new bugs in a long time, finally released 3.0final.
 
  * Architecture: any instead of i386, since other arches are now
 	implementing the same API, even if APM isn't exactly the same.
 	Fixes bug#51205.
	
  * Man page corrected; fixes bug#47701.
  
  * Close all file descriptors after fork(), so secure-attention-key (SAK)
  	won't kill us; fixes bug#37188.
  
  * Use xaw-wrappers for xapm; fixes bug#42750.
  
  * Store the hardware clock on suspend; fixes bug#42976.
  
 -- Avery Pennarun <apenwarr@debian.org>  Thu,  6 Jan 2000 21:40:57 -0500

apmd (3.0beta9-2) unstable; urgency=low
  
  * Oops!  My debian apmd_proxy scripts were all screwed up.  I accidentally
 	installed the Red Hat one!  Fixes bug#42686, bug#42228

  * Close fd 0, 1, and 2 upon fork().  Fixed bug#37188.

 -- Avery Pennarun <apenwarr@debian.org>  Mon,  9 Aug 1999 18:38:39 -0400

apmd (3.0beta9-1) unstable; urgency=low
  
  * Bug fixes and improvements as we approach the 3.0final release.

 -- Avery Pennarun <apenwarr@debian.org>  Mon,  2 Aug 1999 16:19:49 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Standards-Version: 2.4.1
 
 Package: apmd
-Architecture: i386
+Architecture: any
 Depends: ${shlibs:Depends}
 Description: Utilities for Advanced Power Management (APM) on laptops
  On laptop computers, the Advanced Power Management (APM) support

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,13 @@
 debtmp	:= $(shell pwd)/debian/tmp
 
 #export DH_VERBOSE=1
+MAKE_FLAGS=PREFIX=`pwd`/debian/tmp/usr APMD_PROXY_DIR=$(debtmp)/etc/apm/
 
 build: build-stamp
 build-stamp:
 	dh_testdir
 	-$(MAKE) ChangeLog
-	$(MAKE) CFLAGS=-O2 LDFLAGS=       
+	$(MAKE) ${MAKE_FLAGS} CFLAGS=-O2 LDFLAGS=       
 	touch build-stamp
 
 clean:
@@ -30,18 +31,17 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	#$(MAKE) prefix=`pwd`/debian/tmp install
-	install -m 0755 tailf apm on_ac_power	$(debtmp)/usr/bin/
-	install -m 0755 apmd 			$(debtmp)/usr/sbin/
-	install -m 0755 xapm 			$(debtmp)/usr/X11R6/bin/
-	install -m 0755 debian/apmd_proxy 	$(debtmp)/etc/apm/
-	install -m 0755 debian/00hwclock	$(debtmp)/etc/apm/event.d/
+	$(MAKE) ${MAKE_FLAGS} install
+	mv $(debtmp)/usr/bin/xapm $(debtmp)/usr/bin/xapm.real
+	install -m 0755 debian/apmd_proxy $(debtmp)/etc/apm/
+	install -m 0755 debian/00hwclock  $(debtmp)/etc/apm/event.d/
 	dh_installdocs			README ANNOUNCE
 #	dh_installexamples		apmlib.c
 #	dh_installmenu
 	dh_installinit			--noscripts
 #	dh_installcron
 	dh_installmanpages
+	dh_installxaw
 #	dh_undocumented
 	dh_installchangelogs		ChangeLog
 	dh_strip
